3 Replies Latest reply: May 23, 2012 11:30 PM by dcandusso
nyedrummer Level 1 Level 1 (0 points)

I am having an issue installing Logic Studio.  I have Lion 10.7.3 and when I click on the Logic Pro icon it says that you can not run on this OS.  It says Logic Pro is 9.1.1  I tried updating to 9.1.7 but then it says I need Logic 9.0 or higher.  Help!!!


Logic Studio, Mac OS X (10.7.3), running on 2010 MacBook Pro